### Function

# FwupdPlugin strsplit_stream

#### Declaration [src]

    gboolean
    fu_strsplit_stream (
      GInputStream* stream,
      gsize offset,
      const gchar* delimiter,
      FuStrsplitFunc callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Splits the string, calling the given function for each of the tokens found. If any `callback` returns `FALSE` scanning is aborted.

Use this function in preference to `fu_strsplit()` when the input file is untrusted, and you don’t want to allocate a GStrv with billions of one byte items.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| A `GInputStream` to split.
| The data is owned by the caller of the function.
`offset` | `gsize`
| Offset into `stream`.
`delimiter` | `const gchar*`
| A string which specifies the places at which to split the string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`callback` | `FuStrsplitFunc`
| A `FuStrsplitFunc`.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if no `callback` returned FALSE.